FLAC 1.3.2

Public Member Functions | Protected Attributes | List of all members
FLAC::Metadata::CueSheet::Track Class Reference

`#include <metadata.h>`

## Public Member Functions
| Track (const ::FLAC__StreamMetadata_CueSheet_Track *track)
| Track (const Track &track)
Track & | operator= (const Track &track)
virtual bool | is_valid () const
FLAC__uint64 | get_offset () const
FLAC__byte | get_number () const
const char * | get_isrc () const
unsigned | get_type () const
bool | get_pre_emphasis () const
FLAC__byte | get_num_indices () const
::FLAC__StreamMetadata_CueSheet_Index | get_index (unsigned i) const
const ::FLAC__StreamMetadata_CueSheet_Track * | get_track () const
void | set_offset (FLAC__uint64 value)
void | set_number (FLAC__byte value)
void | set_isrc (const char value[12])
void | set_type (unsigned value)
void | set_pre_emphasis (bool value)
void | set_index (unsigned i, const ::FLAC__StreamMetadata_CueSheet_Index &index)

## Protected Attributes
::FLAC__StreamMetadata_CueSheet_Track * | object_

## Detailed Description

Convenience class for encapsulating a cue sheet track.

Always check is_valid() after the constructor or operator= to make sure memory was properly allocated.

## Member Function Documentation

## ◆ is_valid()

virtual bool FLAC::Metadata::CueSheet::Track::is_valid | ( |  | ) | const
| virtual

Returns `true` iff object was properly constructed.

The documentation for this class was generated from the following file:

- include/FLAC++/metadata.h

Copyright (c) 2000-2009 Josh Coalson Copyright (c) 2011-2016 Xiph.Org Foundation |